> ## Documentation Index
> Fetch the complete documentation index at: https://docs.datacrazy.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Atualizar tag



## OpenAPI

````yaml https://api.datacrazy.io/v1/api/openapi/v1/json put /api/v1/tags/{id}
openapi: 3.0.0
info:
  title: API CRM Datacrazy
  description: Versão 1.0 da API do CRM Datacrazy
  version: '1.0'
  contact: {}
servers:
  - url: https://api.g1.datacrazy.io
security: []
tags: []
paths:
  /api/v1/tags/{id}:
    put:
      tags:
        - Tags
      summary: Atualizar tag
      operationId: TagsV1Controller_update
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateUpdateTagDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TagDto'
      security:
        - access-token: []
components:
  schemas:
    CreateUpdateTagDto:
      type: object
      properties:
        name:
          type: string
          description: Nome da tag
          example: marketing orgânico
        color:
          type: string
          description: Cor da tag em hexadecimal
          example: '#A78BFA'
        description:
          type: string
          description: Descrição atribuída a tag
          example: Leads que vieram de campanhas internas
        useRandomColor:
          type: boolean
          description: Opção de atribuír uma cor aleatória na tag, por padrão é false
          example: true
    TagDto:
      type: object
      properties:
        id:
          type: string
          description: ID da tag
          example: cb3e8d24-ccad-43d1-acd5-08580d9bc674
        name:
          type: string
          description: Nome da tag
          example: marketing orgânico
        color:
          type: string
          description: Cor da tag em hexadecimal
          example: '#A78BFA'
        description:
          type: string
          description: Descrição atribuída a tag
          example: Leads que vieram de campanhas internas
        createdAt:
          format: date-time
          type: string
          description: Data de cricão da tag
          example: '2025-03-25T14:12:47.738Z'
  securitySchemes:
    access-token:
      scheme: bearer
      bearerFormat: JWT
      type: http

````